// $Id: test_contact.c,v 1.2 2019/04/15 02:35:35 leavens Exp leavens $
// Compile with:
// gcc tap.c testing_io.c name.c us_tele.c contact.c test_contact.c -o test_contact
#include <stdlib.h>
#include "contact.h"
#include "tap.h"
#include "testing_io.h"

#define NUM_TO_READ 10

int test_read_contact() {
    contact test_contacts[NUM_TO_READ];
    int next = 0;
    for (int i = 0; i < 10; i++) {
	test_contacts[next] = read_contact();
	if (test_contacts[next] != NULL) {
	    printf("input %d is %s\n", i, contact_to_string(test_contacts[i]));
	    next++;
	}
    }
    return EXIT_SUCCESS;
}
    
int main() {
    plan(1);
    testproc(test_read_contact, "test_contact1");
    return exit_status();
}
